// Copyright (c) 2000-2001 Quadralay Corporation.  All rights reserved.
//

function  WWHJavaScriptSettings_Object()
{
  this.mHoverText = new WWHJavaScriptSettings_HoverText_Object();

  this.mTabs   = new WWHJavaScriptSettings_Tabs_Object();
  this.mTOC    = new WWHJavaScriptSettings_TOC_Object();
  this.mIndex  = new WWHJavaScriptSettings_Index_Object();
  this.mSearch = new WWHJavaScriptSettings_Search_Object();
}

function  WWHJavaScriptSettings_HoverText_Object()
{
  this.mbEnabled = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 10px";

  this.mWidth = 150;

  this.mForegroundColor = "#000000";
  this.mBackgroundColor = "#FFFFCC";
  this.mBorderColor     = "#999999";
}

function  WWHJavaScriptSettings_Tabs_Object()
{
  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 12px";

  this.mSelectedTabColor       = "#003399";
  this.mSelectedTabBorderColor = "#CCCCCC";
  this.mSelectedTabTextColor   = "#CCCCCC";

  this.mDefaultTabColor       = "#CCCCCC";
  this.mDefaultTabBorderColor = "#CCCCCC";
  this.mDefaultTabTextColor   = "#000000";
}

function  WWHJavaScriptSettings_TOC_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 11px";

  this.mEnabledColor  = "#000000";
  this.mDisabledColor = "#000000";

  this.mIndent = 17;
}

function  WWHJavaScriptSettings_Index_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 11px";

  this.mEnabledColor  = "#3366CC";
  this.mDisabledColor = "#000000";

  this.mIndent = 17;

  this.mNavigationFontStyle     = "font-family: Arial, Helvetica, sans-serif ; font-size: 7pt ; font-weight: bold";
  this.mNavigationCurrentColor  = "#000000";
  this.mNavigationEnabledColor  = "#003399";
  this.mNavigationDisabledColor = "#999999";
}

function  WWHJavaScriptSettings_Index_DisplayOptions(ParamIndexOptions)
{
  ParamIndexOptions.fSetThreshold(500);

  ParamIndexOptions.fSetSeperator(" - ");

  ParamIndexOptions.fGroup("Numerics", false, true, "1234567890");
  ParamIndexOptions.fGroup("", true, true, "ABCDEFGHIJKLMNOPQRSTUVWXYZ");
  ParamIndexOptions.fGroup("Symbols", false, true, "!@#$%^&*(){}[]<>\"|\\.,;-?+");
}

function  WWHJavaScriptSettings_Search_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif; font-size: 11px";

  this.mEnabledColor  = "#3366CC";
  this.mDisabledColor = "#CCCCCC";

  this.mIndent = 17;

  this.mbShowBook = true;
  this.mbShowRank = true;
}
